
From: Rusty Russell <rusty@rustcorp.com.au>

From: maximilian attems <janitor@sternwelten.at>

Add the Monkey to SubmittingPatches.


---

 25-akpm/Documentation/SubmittingPatches |   15 +++++++++++++++
 1 files changed, 15 insertions(+)

diff -puN Documentation/SubmittingPatches~submitting-trivial-patches Documentation/SubmittingPatches
--- 25/Documentation/SubmittingPatches~submitting-trivial-patches	2004-04-03 03:00:02.862796344 -0800
+++ 25-akpm/Documentation/SubmittingPatches	2004-04-03 03:00:02.865795888 -0800
@@ -134,6 +134,21 @@ your change.
 Even if the maintainer did not respond in step #4, make sure to ALWAYS
 copy the maintainer when you change their code.
 
+For small patches you may want to CC the Trivial Patch Monkey
+trivial@rustcorp.com.au set up by Rusty Russell; which collects "trivial"
+patches. Trivial patches must qualify for one of the following rules:
+ Spelling fixes in documentation
+ Spelling fixes which could break grep(1).
+ Warning fixes (cluttering with useless warnings is bad)
+ Compilation fixes (only if they are actually correct)
+ Runtime fixes (only if they actually fix things)
+ Removing use of deprecated functions/macros (eg. check_region).
+ Contact detail and documentation fixes
+ Non-portable code replaced by portable code (even in arch-specific,
+ since people copy, as long as it's trivial)
+ Any fix by the author/maintainer of the file. (ie. patch monkey
+ in re-transmission mode)
+
 
 
 6) No MIME, no links, no compression, no attachments.  Just plain text.

_
